﻿// 1. Insert this using statement
using MattsTinyMVC;

namespace HelloMattsTinyMVC
{
    // 2. Create the controller class, derive from the BaseController class
    public class HelloMattsTinyMVCController : BaseController
    {
        // 3. Call the base constructor
        public HelloMattsTinyMVCController() : base()
        {
        }

        // 4. Define some properties to bind to
        public string Message { get; set; }
        public string MessageResponse { get; set; }

        // 5. Define a simple command; the method must take no parameters
        public void ProcessMessage()
        {
            MessageResponse = "You told me: " + Message;
        }
    }
}